Results 1 to 2 of 2

Thread: cyrus-sasl on HELIX-710 and HELIX with automake issues

  1. #1
    NeuralMonk is offline Beginner Member
    Join Date
    Feb 2011
    Posts
    1
    Rep Power
    4

    Default cyrus-sasl on HELIX-710 and HELIX with automake issues

    Working on native port to Gentoo instead of the jailroot. Yeah, I know Gentoo.

    ThirdParty had a failure on SASL, so I find myself running zimbra-cyrus-sasl-build.sh and coming up with some strange errors. After a day of Googling, here I am.

    I tried with automake 1.11.1 but fell back to 1.7.9 due to messages about automake-1.7... missing.

    The core issue is "/bin/sh: config/ltconfig: No such file or directory". This file gets deleted after untar, before libtoolize runs.

    libtoolize is throwing a bunch of messages, which I tried to resolve, but... well I am still here.

    Any help on what is missing. I am sure it is either a automake version issue, or a missing dependency in Gentoo.

    + BETA=
    ++ uname -s
    + platform=Linux
    ++ pwd
    + cyrus_root=/home/public/p4/HELIX-710/ThirdParty/cyrus-sasl
    ++ cd /home/public/p4/HELIX-710/ThirdParty/cyrus-sasl/../..
    ++ pwd
    + p4_root=/home/public/p4/HELIX-710
    ++ sh /home/public/p4/HELIX-710/ZimbraBuild/rpmconf/Build/get_plat_tag.sh
    + build_platform=GENTOO_64
    + '[' x = xbeta ']'
    + source ../versions.sh
    ++ cyrus_release=2.1.23
    ++ cyrus_patchlevel=3z
    ++ cyrus_version=2.1.23.3z
    ++ cyrus_src=cyrus-sasl-2.1.23.3z
    ++ heimdal_version=1.3.3
    ++ openssl_version=1.0.0d
    ++ curl_version=7.21.4
    ++ xml2_version=2.7.7
    ++ openssl_lib_dir=/opt/zimbra/openssl-1.0.0d/lib
    ++ heimdal_lib_dir=/opt/zimbra/heimdal-1.3.3/lib
    ++ cyrus_lib_dir=/opt/zimbra/cyrus-sasl-2.1.23.3z/lib
    ++ curl_lib_dir=/opt/zimbra/curl-7.21.4/lib
    + rm -fr build
    + mkdir build
    + cd build
    + tar xfz ../src/cyrus-sasl-2.1.23.tar.gz -C .
    + chmod -R +w cyrus-sasl-2.1.23
    + mv cyrus-sasl-2.1.23 cyrus-sasl-2.1.23.3z
    + cd cyrus-sasl-2.1.23.3z
    + patch -g0 -p1
    patching file cmulocal/berkdb.m4
    + patch -g0 -p1
    patching file lib/server.c
    + patch -g0 -p1
    patching file saslauthd/auth_zimbra.c
    patching file saslauthd/auth_zimbra.h
    patching file saslauthd/configure.in
    patching file saslauthd/configure.in.orig
    patching file saslauthd/Makefile.am
    patching file saslauthd/mechanisms.c
    patching file saslauthd/mechanisms.c.orig
    patching file saslauthd/zmauth.c
    patching file saslauthd/zmclient.h
    patching file saslauthd/zmpost.c
    patching file saslauthd/zmurl.c
    patching file saslauthd/zmurl.h
    + patch -g0 -p1
    patching file plugins/digestmd5.c
    + rm config/ltconfig config/libtool.m4
    + '[' -x /usr/bin/libtoolize ']'
    + LIBTOOLIZE=/usr/bin/libtoolize
    + /usr/bin/libtoolize -f -c
    libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, `config'.
    libtoolize: copying file `config/ltmain.sh'
    libtoolize: You should add the contents of the following files to `aclocal.m4':
    libtoolize: `/usr/share/aclocal/libtool.m4'
    libtoolize: `/usr/share/aclocal/ltoptions.m4'
    libtoolize: `/usr/share/aclocal/ltversion.m4'
    libtoolize: `/usr/share/aclocal/ltsugar.m4'
    libtoolize: `/usr/share/aclocal/lt~obsolete.m4'
    libtoolize: Consider adding `AC_CONFIG_MACRO_DIR([m4])' to configure.in and
    libtoolize: rerunning libtoolize, to keep the correct libtool macros in-tree.
    libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
    + aclocal -I config -I cmulocal
    aclocal: macro `_LT_DECL_SED' required but not defined
    aclocal: macro `_LT_FUNC_STRIPNAME_CNF' required but not defined
    + automake -a -c -f
    Useless use of /d modifier in transliteration operator at /usr/bin/automake-1.7 line 5985.
    configure.in:90: warning: AC_CACHE_VAL(andrew_runpath_switch, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    ../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
    aclocal.m4:909: CMU_GUESS_RUNPATH_SWITCH is expanded from...
    configure.in:90: the top level
    configure.in:527: warning: AC_CACHE_VAL(cyrus_krbinclude, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    ../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
    aclocal.m4:2739: SASL_KERBEROS_V4_CHK is expanded from...
    configure.in:527: the top level
    + autoheader
    configure.in:90: warning: AC_CACHE_VAL(andrew_runpath_switch, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    ../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
    aclocal.m4:909: CMU_GUESS_RUNPATH_SWITCH is expanded from...
    configure.in:90: the top level
    configure.in:527: warning: AC_CACHE_VAL(cyrus_krbinclude, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    ../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
    aclocal.m4:2739: SASL_KERBEROS_V4_CHK is expanded from...
    configure.in:527: the top level
    + autoconf -f
    configure.in:90: warning: AC_CACHE_VAL(andrew_runpath_switch, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    ../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
    aclocal.m4:909: CMU_GUESS_RUNPATH_SWITCH is expanded from...
    configure.in:90: the top level
    configure.in:527: warning: AC_CACHE_VAL(cyrus_krbinclude, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    ../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
    aclocal.m4:2739: SASL_KERBEROS_V4_CHK is expanded from...
    configure.in:527: the top level
    + cd saslauthd
    + rm config/ltconfig
    + /usr/bin/libtoolize -f -c
    libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, `config'.
    libtoolize: copying file `config/ltmain.sh'
    libtoolize: You should add the contents of the following files to `aclocal.m4':
    libtoolize: `/usr/share/aclocal/libtool.m4'
    libtoolize: `/usr/share/aclocal/ltoptions.m4'
    libtoolize: `/usr/share/aclocal/ltversion.m4'
    libtoolize: `/usr/share/aclocal/ltsugar.m4'
    libtoolize: `/usr/share/aclocal/lt~obsolete.m4'
    libtoolize: Remember to add `LT_INIT' to configure.in.
    libtoolize: Consider adding `AC_CONFIG_MACRO_DIR([m4])' to configure.in and
    libtoolize: rerunning libtoolize, to keep the correct libtool macros in-tree.
    libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
    + aclocal -I config -I ../cmulocal -I ../config
    + automake -a -c -f
    Useless use of /d modifier in transliteration operator at /usr/bin/automake-1.7 line 5985.
    configure.in:31: warning: AC_CACHE_VAL(andrew_runpath_switch, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    ../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
    aclocal.m4:909: CMU_GUESS_RUNPATH_SWITCH is expanded from...
    configure.in:31: the top level
    configure.in:43: warning: AC_CACHE_VAL(cyrus_krbinclude, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    ../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
    aclocal.m4:1148: SASL_KERBEROS_V4_CHK is expanded from...
    configure.in:43: the top level
    configure.in:187: warning: AC_CACHE_VAL(have_func, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    configure.in:187: the top level
    configure.in:196: warning: AC_CACHE_VAL(have_pretty_function, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    configure.in:196: the top level
    configure.in:205: warning: AC_CACHE_VAL(have_function, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    configure.in:205: the top level
    + autoheader
    configure.in:31: warning: AC_CACHE_VAL(andrew_runpath_switch, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    ../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
    aclocal.m4:909: CMU_GUESS_RUNPATH_SWITCH is expanded from...
    configure.in:31: the top level
    configure.in:43: warning: AC_CACHE_VAL(cyrus_krbinclude, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    ../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
    aclocal.m4:1148: SASL_KERBEROS_V4_CHK is expanded from...
    configure.in:43: the top level
    configure.in:187: warning: AC_CACHE_VAL(have_func, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    configure.in:187: the top level
    configure.in:196: warning: AC_CACHE_VAL(have_pretty_function, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    configure.in:196: the top level
    configure.in:205: warning: AC_CACHE_VAL(have_function, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    configure.in:205: the top level
    + autoconf -f
    configure.in:31: warning: AC_CACHE_VAL(andrew_runpath_switch, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    ../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
    aclocal.m4:909: CMU_GUESS_RUNPATH_SWITCH is expanded from...
    configure.in:31: the top level
    configure.in:43: warning: AC_CACHE_VAL(cyrus_krbinclude, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    ../../lib/autoconf/general.m4:2053: AC_CACHE_CHECK is expanded from...
    aclocal.m4:1148: SASL_KERBEROS_V4_CHK is expanded from...
    configure.in:43: the top level
    configure.in:187: warning: AC_CACHE_VAL(have_func, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    configure.in:187: the top level
    configure.in:196: warning: AC_CACHE_VAL(have_pretty_function, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    configure.in:196: the top level
    configure.in:205: warning: AC_CACHE_VAL(have_function, ...): suspicious cache-id, must contain _cv_ to be cached
    ../../lib/autoconf/general.m4:2032: AC_CACHE_VAL is expanded from...
    configure.in:205: the top level
    + cd ..
    + sed -i.obak -e 's|${with_openssl}/$CMU_LIB_SUBDIR|${with_openssl}/lib|' -e 's|${with_openssl}/lib $andrew_runpath_switch${with_openssl}/$CMU_LIB_SUBDIR|${with_openssl}/lib|' configure
    + sed -i.obak -e 's|${with_openssl}/$CMU_LIB_SUBDIR|${with_openssl}/lib|' -e 's|${with_openssl}/lib $andrew_runpath_switch${with_openssl}/$CMU_LIB_SUBDIR|${with_openssl}/lib|' saslauthd/configure
    + sed -i.bak 's/-lRSAglue //' configure
    + '[' Linux = Darwin ']'
    + LIBS=/opt/zimbra/libxml2/lib/libxml2.a
    + CFLAGS='-D_REENTRANT -g -O2 -I/opt/zimbra/libxml2/include/libxml2'
    + ./configure --enable-zimbra --prefix=/opt/zimbra/cyrus-sasl-2.1.23.3z --with-saslauthd=/opt/zimbra/cyrus-sasl-2.1.23.3z/state --with-plugindir=/opt/zimbra/cyrus-sasl-2.1.23.3z/lib/sasl2 --with-dblib=no --with-openssl=/opt/zimbra/openssl-1.0.0d --with-libcurl=/opt/zimbra/curl-7.21.4/bin/curl-config --with-gss_impl=heimdal --enable-gssapi=/opt/zimbra/heimdal-1.3.3 --with-libxml2=/opt/zimbra/libxml2-2.7.7/bin/xml2-config --enable-login
    configure: creating cache ./config.cache
    checking build system type... x86_64-unknown-linux-gnu
    checking host system type... x86_64-unknown-linux-gnu
    checking target system type... x86_64-unknown-linux-gnu
    checking for a BSD-compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    checking for gawk... gawk
    checking whether make sets $(MAKE)... yes
    checking for gcc... gcc
    checking whether the C compiler works... yes
    checking for C compiler default output file name... a.out
    checking for suffix of executables...
    checking whether we are cross compiling... no
    checking for suffix of object files... o
    checking whether we are using the GNU C compiler... yes
    checking whether gcc accepts -g... yes
    checking for gcc option to accept ISO C89... none needed
    checking for style of include used by make... GNU
    checking dependency style of gcc... gcc3
    checking how to run the C preprocessor... gcc -E
    checking for gawk... (cached) gawk
    checking whether ln -s works... yes
    checking whether make sets $(MAKE)... (cached) yes
    checking for __attribute__... no
    checking for runpath switch... -Wl,-rpath,
    checking for ranlib... ranlib
    checking for ld used by GCC... /usr/x86_64-pc-linux-gnu/bin/ld
    checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld) is GNU ld... yes
    checking for BSD-compatible nm... /usr/bin/nm -B
    configure: updating cache ./config.cache
    /bin/sh: config/ltconfig: No such file or directory
    configure: error: libtool configure failed
    + '[' Linux = Darwin ']'
    + '[' GENTOO_64 = F7 -o GENTOO_64 -o DEBIAN4.0 ']'
    + sed -i.bak -e 's/\_la_LDFLAGS)/_la_LDFLAGS) $(AM_LDFLAGS)/' plugins/Makefile
    sed: can't read plugins/Makefile: No such file or directory
    + LD_RUN_PATH=/opt/zimbra/openssl-1.0.0d/lib:/opt/zimbra/heimdal-1.3.3/lib:/opt/zimbra/cyrus-sasl-2.1.23.3z/lib:/opt/zimbra/curl-7.21.4/lib
    + make
    make: *** No targets specified and no makefile found. Stop.

  2. #2
    michalczyk.pro is offline Starter Member
    Join Date
    Jul 2012
    Posts
    1
    Rep Power
    3

    Default

    Hi NeuralMonk,

    Your question seem a bit outdated, but I've found myself in similar problem while updating installation to Zimra 7.2.0

    I see that Your Zimbra is trying to use automake-1.7:
    Useless use of /d modifier in transliteration operator at /usr/bin/automake-1.7 line 5985.
    The fastest solution to this issue is to move to automake-1.11, modifying invocations of aclocal and automake inside zimbra-cyrus-sasl-build.sh as follows (first column is a line number inside script, according to Zimbra 7.2.0):
    49 $LIBTOOLIZE -f -c
    50 aclocal-1.11 -I config -I cmulocal
    51 automake-1.11 -a -c -f --gnu
    52 autoheader
    53 autoconf -f
    54
    55 cd saslauthd
    56 rm config/ltconfig
    57 $LIBTOOLIZE -f -c
    58 aclocal-1.11 -I config -I ../cmulocal -I ../config
    59 automake-1.11 -a -c -f --gnu
    60 autoheader
    61 autoconf -f
    Good luck.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •